Owncloud for OmniOS

layerbreak

New Member
Dec 31, 2010
28
0
1
in the wild South of Germany
First, if you still want to install owncloud, try (instead of step 7.0 of the ampo04-script):

(1) /opt/local/bin/pkgin -y install php55-owncloud (this will provide owncloud version 6.0.0 instead of 6.0.1)
(2) perform step 7.1 of ampo04-script
(3) perform step 7.2 of ampo04-script
(4) svcadm restart apache
First I have installed the complete ampo04.
After that Omnios crashed.

These steps are analogous to the previous ampo-script (http://napp-it.org/ampo).
BTW: Have you also tested the previous ampo-script?
No, because in ampo04 the repros are newer.
I'm not quite sure which way I used for installation, could have been this install-scenario:
(1) OmniOS r151006
(2) napp-it
(3) ampo04
(4) pkg update (OmniOS 151008)
I have a new installation. Only r151008
I will test it on VMWare-Workstation (VM with OmniOS r151008, napp-it, ampo04) on my Laptop and give you a reply about the results (At the moment I have one N54L working fine with r151008 and ampo04 as well as a VMWare-VM).
Thx, and I speaking german much better. When you want, send me a PN in german.
 

zos

Member
Oct 27, 2013
40
20
8
First I have installed the complete ampo04.
After that Omnios crashed.


No, because in ampo04 the repros are newer.

I have a new installation. Only r151008

Thx, and I speaking german much better. When you want, send me a PN in german.
OK, I finished my test installation.

Laptop: Lenovo T420s (Intel Core i5-2520M)
OS: Windows 8.1
VM-Software: VMWare Workstation 9
VM-OS: OmniOS stable r151008
Napp-it: 0.9e1 and ampo04

Result: No kernel panic after reboot (see PuTTY-logfile below) -
Code:
login as: root
Using keyboard-interactive authentication.
Password:
Last login: Sat Feb 22 14:06:40 2014 from OmniOSstable151
OmniOS 5.11     omnios-6de5e81  2013.11.27
root@OmniOSstable151008:~# wget -O - www.napp-it.org/ampo04 | perl
--2014-02-22 14:07:01--  http://www.napp-it.org/ampo04
Resolving www.napp-it.org (www.napp-it.org)... 80.67.28.104, 2a00:1158:0:300:ffc6::1
Connecting to www.napp-it.org (www.napp-it.org)|80.67.28.104|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 22135 (22K) [text/plain]
Saving to: 'STDOUT'

100%[====================================================================================================================================================>] 22,135      --.-K/s   in 0.1s

2014-02-22 14:07:01 (208 KB/s) - written to stdout [22135/22135]





















***************************************************************************

**    Setup napp-it AMPO ZFS Server addon Ver. 0.4 beta - Jan 2014       **
**    intended for OmniOS and OpenIndiana - not working on Solaris 11    **

***************************************************************************

** Actions (logfile /root/ampo.log):
**     Install Apache 2.4.7, MySQL 5.6.15, PHPMyadmin 4.0.10, PHP 5.5.7  **
**     via pkgin (provided by SmartOS) and OwnCloud 6.0.1                **

***************************************************************************


*
 3
 2
 1










































----------------
step 1. add Path:
export PATH=/opt/local/sbin:/opt/local/bin:$PATH;
----------------


----------------
step 2. Load bootstrap
curl http://pkgsrc.joyent.com/packages/SmartOS/bootstrap/bootstrap-2013Q4-x86_64.tar.gz | gtar -zxpf - -C /
----------------
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100 30.0M  100 30.0M    0     0   960k      0  0:00:32  0:00:32 --:--:-- 1197k

reading local summary...
processing local summary...
updating database: 100%
downloading pkg_summary.bz2:   0%processing remote summary (http://pkgsrc.joyent.com/packages/SmartOS/2013Q4/x86_64/All)...
updating database: 100%


----------------
step 3. Install Apache: pkgin -y install apache-2.4
----------------
calculating dependencies... done.

nothing to upgrade.
17 packages to be installed: perl-5.18.1nb3 libevent-2.0.21nb2 editline-3.1.20130712nb1 tcp_wrappers-7.6.4 cyrus-sasl-2.1.26nb3 libuuid-2.19.1nb1 postgresql93-client-9.3.2 openldap-client-2.4.38 mysql-client-5.6.15 db4-4.8.30 binutils-2.23.2nb1 pcre-8.33 lua51-5.1.5 expat-2.1.0 apr-util-1.5.3nb1 apr-1.5.0 apache-2.4.7 (74M to download, 284M to install)

downloading packages...
downloading perl-5.18.1nb3.tgz:   0%downloading libevent-2.0.21nb2.tgz:   0%downloading editline-3.1.20130712nb1.tgz:   0%downloading tcp_wrappers-7.6.4.tgz:   0%downloading cyrus-sasl-2.1.26nb3.tgz:   0%downloading libuuid-2.19.1nb1.tgz:   0%downloading postgresql93-client-9.3.2.tgz:   0%downloading openldap-client-2.4.38.tgz:   0%downloading mysql-client-5.6.15.tgz:   0%downloading db4-4.8.30.tgz:   0%downloading binutils-2.23.2nb1.tgz:   0%downloading pcre-8.33.tgz:   0%downloading lua51-5.1.5.tgz:   0%downloading expat-2.1.0.tgz:   0%downloading apr-util-1.5.3nb1.tgz:   0%downloading apr-1.5.0.tgz:   0%downloading apache-2.4.7.tgz:   0%cyrus-sasl-2.1.26nb3: Creating user ``cyrus''
passwd: password information changed for cyrus
===========================================================================
$NetBSD: MESSAGE,v 1.3 2011/09/17 11:32:02 obache Exp $

cyrus-sasl-2.1.26nb3 by default does *not* install any authentication plugin
modules.  Until the necessary authentication plugin modules are
installed, e.g. security/cy2-crammd5 or security/cy2-gssapi, you
will probably get errors about "no appropriate mechs available".

cyrus-sasl-2.1.26nb3 will use the following directory as the default
path to its plugin modules:

        /opt/local/lib/sasl2

The search path for plugin modules can be customized by setting the
SASL_PATH variable to a colon-delimted list of directories in the shell
environment.

To allow plaintext authentication without using the auxprop mechanism, the
package security/cyrus-saslauthd should be installed.

===========================================================================
openldap-client-2.4.38: copying /opt/local/share/examples/openldap/ldap.conf to /opt/local/etc/openldap/ldap.conf
postgresql93-client-9.3.2: copying /opt/local/share/postgresql/pg_service.conf.sample to /opt/local/etc/postgresql/pg_service.conf
postgresql93-client-9.3.2: copying /opt/local/share/postgresql/psqlrc.sample to /opt/local/etc/postgresql/psqlrc
===========================================================================
$NetBSD: MESSAGE,v 1.1 2013/02/13 21:00:01 adam Exp $

To use the ``mysqlhotcopy'' script, you'll have to install the following
packages:

        databases/p5-DBD-mysql
        devel/p5-File-Temp

===========================================================================
binutils-2.23.2nb1: registering info file /opt/local/info/as.info
binutils-2.23.2nb1: registering info file /opt/local/info/bfd.info
binutils-2.23.2nb1: registering info file /opt/local/info/binutils.info
binutils-2.23.2nb1: registering info file /opt/local/info/gprof.info
binutils-2.23.2nb1: registering info file /opt/local/info/ld.info
apache-2.4.7: Creating group ``www''
apache-2.4.7: Creating user ``www''
passwd: password information changed for www
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-autoindex.conf to /opt/local/etc/httpd/httpd-autoindex.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-dav.conf to /opt/local/etc/httpd/httpd-dav.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-default.conf to /opt/local/etc/httpd/httpd-default.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-info.conf to /opt/local/etc/httpd/httpd-info.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-languages.conf to /opt/local/etc/httpd/httpd-languages.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-manual.conf to /opt/local/etc/httpd/httpd-manual.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-mpm.conf to /opt/local/etc/httpd/httpd-mpm.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-multilang-errordoc.conf to /opt/local/etc/httpd/httpd-multilang-errordoc.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-ssl.conf to /opt/local/etc/httpd/httpd-ssl.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-userdir.conf to /opt/local/etc/httpd/httpd-userdir.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/extra/httpd-vhosts.conf to /opt/local/etc/httpd/httpd-vhosts.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/httpd.conf to /opt/local/etc/httpd/httpd.conf
apache-2.4.7: copying /opt/local/share/examples/httpd/magic to /opt/local/etc/httpd/magic
apache-2.4.7: copying /opt/local/share/examples/httpd/mime.types to /opt/local/etc/httpd/mime.types
apache-2.4.7: setting permissions on /opt/local/sbin/suexec (o=root, g=www, m=4510)
============================================================================
This package has SMF support.  You may use svcadm(1M) to 'enable', 'disable'
or 'restart' services.  To enable the instance(s) for this package, run:

        /usr/sbin/svcadm enable svc:/pkgsrc/apache:default

Use svcs(1) to check on service status.  See smf(5) for more information.
============================================================================
===========================================================================
$NetBSD: MESSAGE,v 1.1 2012/08/26 12:37:34 ryoon Exp $

After apache-2.4.3, --enable-mpms-shared='event prefork worker' is
passed to configure script, then three multi-process model is built
and you can select the model in configuraton file.

The mod_cgi.so module conflicts with non-prefork multi-process model,
and mod_cgi.so module is not built anymore.
You can use mod_cgid.so module instead.
===========================================================================
installing packages...
installing perl-5.18.1nb3...
installing libevent-2.0.21nb2...
installing editline-3.1.20130712nb1...
installing tcp_wrappers-7.6.4...
installing cyrus-sasl-2.1.26nb3...
installing libuuid-2.19.1nb1...
installing postgresql93-client-9.3.2...
installing openldap-client-2.4.38...
installing mysql-client-5.6.15...
installing db4-4.8.30...
installing binutils-2.23.2nb1...
installing pcre-8.33...
installing lua51-5.1.5...
installing expat-2.1.0...
installing apr-util-1.5.3nb1...
installing apr-1.5.0...
installing apache-2.4.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking apache-2.4.7 as non auto-removable


----------------
step 4. Install PHP: pkgin -y install php-5.5
----------------
calculating dependencies... done.

nothing to upgrade.
3 packages to be installed: xmlcatmgr-2.2nb1 libxml2-2.9.1nb1 php-5.5.7 (7775K to download, 30M to install)

downloading packages...
downloading xmlcatmgr-2.2nb1.tgz:   0%downloading libxml2-2.9.1nb1.tgz:   0%downloading php-5.5.7.tgz:   0%xmlcatmgr-2.2nb1: copying /opt/local/share/examples/xmlcatmgr/catalog.etc.sgml to /opt/local/etc/sgml/catalog
xmlcatmgr-2.2nb1: copying /opt/local/share/examples/xmlcatmgr/catalog.etc.xml to /opt/local/etc/xml/catalog
xmlcatmgr-2.2nb1: copying /opt/local/share/examples/xmlcatmgr/catalog.share.sgml to /opt/local/share/sgml/catalog
xmlcatmgr-2.2nb1: copying /opt/local/share/examples/xmlcatmgr/catalog.share.xml to /opt/local/share/xml/catalog
===========================================================================
$NetBSD: MESSAGE,v 1.5 2004/01/23 17:12:16 jmmv Exp $

The following catalogs have been installed:

        * /opt/local/etc/sgml/catalog
          System wide SGML catalog.  Can be edited by the administrator and
          is not changed by packages.  This is the *default* catalog when
          working in SGML mode.

        * /opt/local/etc/xml/catalog
          System wide XML catalog.  Can be edited by the administrator and
          is not changed by packages.  This is the *default* catalog when
          working in XML mode.

        * /opt/local/share/sgml/catalog
          Handles SGML stuff installed under /opt/local/share/sgml.
          Automatically handled by packages.

        * /opt/local/share/xml/catalog
          Handles XML stuff installed under /opt/local/share/xml.
          Automatically handled by packages.

===========================================================================
php-5.5.7: copying /opt/local/share/examples/php/php.ini-production to /opt/local/etc/php.ini
===========================================================================
$NetBSD: MESSAGE,v 1.1 2013/07/29 16:41:02 taca Exp $

To process PHP scripts, you will need a PHP-enabled HTTP server.  You may
either configure the HTTP server to use the PHP CGI binary located in

        /opt/local/libexec/cgi-bin/php

or you may install a PHP module for your HTTP server, e.g. www/ap-php.

===========================================================================
installing packages...
installing xmlcatmgr-2.2nb1...
installing libxml2-2.9.1nb1...
installing php-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php-5.5.7 as non auto-removable
Install PHP module: pkgin -y install ap24-php55
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: ap24-php55-5.5.7 (2618K to download, 9608K to install)

downloading packages...
downloading ap24-php55-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE,v 1.3 2011/08/12 12:24:52 taca Exp $

In order to use this module in your Apache 1.x installation, you need to
add the following to your httpd.conf file:

  LoadModule php5_module lib/httpd/mod_php5.so
  AddType application/x-httpd-php .php

You may also add following if you still use .php3 files:

  AddType application/x-httpd-php .php3

For Apache 2.x installation, you need following:

  LoadModule php5_module lib/httpd/mod_php5.so
  AddHandler application/x-httpd-php .php

You may also add following if you still use .php3 files:

  AddHandler application/x-httpd-php .php3

===========================================================================
installing packages...
installing ap24-php55-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking ap24-php55-5.5.7 as non auto-removable
Install PHP extensions: pkgin -y install php55-ftp
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-ftp-5.5.7 (26K to download, 69K to install)

downloading packages...
downloading php55-ftp-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=ftp.so

and make sure extension_dir points to the dir where ftp.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing php55-ftp-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php55-ftp-5.5.7 as non auto-removable
Install PHP extensions: pkgin -y install php55-curl
calculating dependencies... done.

nothing to upgrade.
5 packages to be installed: libgetopt-1.4.4 libssh2-1.2.2nb2 libidn-1.28 curl-7.33.0 php55-curl-5.5.7 (1298K to download, 3935K to install)

downloading packages...
downloading libgetopt-1.4.4.tgz:   0%downloading libssh2-1.2.2nb2.tgz:   0%downloading libidn-1.28.tgz:   0%downloading curl-7.33.0.tgz:   0%downloading php55-curl-5.5.7.tgz:   0%libidn-1.28: registering info file /opt/local/info/libidn-components.png
libidn-1.28: registering info file /opt/local/info/libidn.info
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=curl.so

and make sure extension_dir points to the dir where curl.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing libgetopt-1.4.4...
installing libssh2-1.2.2nb2...
installing libidn-1.28...
installing curl-7.33.0...
installing php55-curl-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php55-curl-5.5.7 as non auto-removable
Install PHP extensions: pkgin -y install php55-intl
calculating dependencies... done.

nothing to upgrade.
2 packages to be installed: icu-52.1 php55-intl-5.5.7 (23M to download, 66M to install)

downloading packages...
downloading icu-52.1.tgz:   0%downloading php55-intl-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=intl.so

and make sure extension_dir points to the dir where intl.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing icu-52.1...
installing php55-intl-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php55-intl-5.5.7 as non auto-removable
Install PHP extensions: pkgin -y install php55-soap
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-soap-5.5.7 (156K to download, 395K to install)

downloading packages...
downloading php55-soap-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=soap.so

and make sure extension_dir points to the dir where soap.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE,v 1.1.1.1 2010/03/16 15:08:54 taca Exp $

PHP 5.1.0 introduced some changes in SOAP extension in WSDL mode:
* XML base64Binary values transparently base64 encoded/decoded
* NULL values with maxOccurs="0" nillable="yes" not included in XML output
===========================================================================
installing packages...
installing php55-soap-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php55-soap-5.5.7 as non auto-removable
Install PHP extensions: pkgin -y install php55-ldap
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-ldap-5.5.7 (27K to download, 73K to install)

downloading packages...
downloading php55-ldap-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=ldap.so

and make sure extension_dir points to the dir where ldap.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing php55-ldap-5.5.7...
pkg_install warnings: 0, errors: 0
Install PHP extensions: pkgin -y install php55-dom
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-dom-5.5.7 (78K to download, 248K to install)

downloading packages...
downloading php55-dom-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=dom.so

and make sure extension_dir points to the dir where dom.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing php55-dom-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php55-dom-5.5.7 as non auto-removable
Install PHP extensions: pkgin -y install php55-iconv
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-iconv-5.5.7 (22K to download, 52K to install)

downloading packages...
downloading php55-iconv-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=iconv.so

and make sure extension_dir points to the dir where iconv.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing php55-iconv-5.5.7...
pkg_install warnings: 0, errors: 0
Install PHP extensions: pkgin -y install php55-pdo
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-pdo-5.5.7 (64K to download, 167K to install)

downloading packages...
downloading php55-pdo-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=pdo.so

and make sure extension_dir points to the dir where pdo.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing php55-pdo-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php55-pdo-5.5.7 as non auto-removable
Install PHP extensions: pkgin -y install php55-pdo_sqlite
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-pdo_sqlite-5.5.7 (16K to download, 40K to install)

downloading packages...
downloading php55-pdo_sqlite-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=pdo_sqlite.so

and make sure extension_dir points to the dir where pdo_sqlite.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing php55-pdo_sqlite-5.5.7...
pkg_install warnings: 0, errors: 0
Install PHP extensions: pkgin -y install php55-pdo_mysql
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: php55-pdo_mysql-5.5.7 (17K to download, 41K to install)

downloading packages...
downloading php55-pdo_mysql-5.5.7.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=pdo_mysql.so

and make sure extension_dir points to the dir where pdo_mysql.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
installing packages...
installing php55-pdo_mysql-5.5.7...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking php55-pdo_mysql-5.5.7 as non auto-removable
add: Include /opt/local/etc/httpd/httpd_php.conf to httpd.conf
add: LoadModule php5_module lib/httpd/mod_php5.so to httpd_php.conf
backup default: /opt/local/etc/php.ini.default


----------------
step 5. Install MySQL: pkgin -y install mysql-server-5.6
----------------
calculating dependencies... done.

nothing to upgrade.
1 packages to be installed: mysql-server-5.6.15 (52M to download, 286M to install)

downloading packages...
downloading mysql-server-5.6.15.tgz:   0%Installing MySQL system tables...OK

Filling help tables...OK

To start mysqld at boot time you have to copy
support-files/mysql.server to the right place for your system

PLEASE REMEMBER TO SET A PASSWORD FOR THE MySQL root USER !
To do so, start the server, then issue the following commands:

  /opt/local/bin/mysqladmin -u root password 'new-password'
  /opt/local/bin/mysqladmin -u root -h OmniOSstable151008 password 'new-password'

Alternatively you can run:

  /opt/local/bin/mysql_secure_installation

which will also give you the option of removing the test
databases and anonymous user created by default.  This is
strongly recommended for production servers.

See the manual for more instructions.

You can start the MySQL daemon with:

  cd /opt/local ; /opt/local/bin/mysqld_safe &

You can test the MySQL daemon with mysql-test-run.pl

  cd mysql-test ; perl mysql-test-run.pl

Please report any problems with the /opt/local/bin/mysqlbug script!

The latest information about MySQL is available on the web at

  http://www.mysql.com

Support MySQL by buying support/licenses at http://shop.mysql.com

New default config file was created as /opt/local/my.cnf and
will be used by default by the server when you start it.
You may edit this file to change server settings

============================================================================
This package has SMF support.  You may use svcadm(1M) to 'enable', 'disable'
or 'restart' services.  To enable the instance(s) for this package, run:

        /usr/sbin/svcadm enable svc:/pkgsrc/mysql:default

Use svcs(1) to check on service status.  See smf(5) for more information.
============================================================================
===========================================================================
$NetBSD: MESSAGE,v 1.1 2013/02/13 21:00:09 adam Exp $

After the tables are set up and the MySQL server is running,
please remember to set a password for the MySQL root user!
This is done by running both:

  /opt/local/bin/mysqladmin -u root -p password 'new-password'
  /opt/local/bin/mysqladmin -h `hostname` -u root -p password 'new-password'

The "Enter password:" prompt is asking for the existing password.
As there is no existing password, just press the Return key.

There is a script distributed with MySQL that can help you lock down
an installation.  This script has been installed to

  /opt/local/bin/mysql_secure_installation.

Please see the manual and the MySQL web site for more instructions.

===========================================================================
installing packages...
installing mysql-server-5.6.15...
pkg_install warnings: 4, errors: 0
pkg_install error log can be found in /var/db/pkgin/pkg_install-err.log
reading local summary...
processing local summary...
updating database: 100%
marking mysql-server-5.6.15 as non auto-removable


----------------
5a: Modify MySQL SMF manifest (to fix maintenance problem)
----------------


----------------
modify and reload manifest /opt/local/lib/svc/manifest/mysql.xml
----------------
svccfg: Taking "previous" snapshot for svc:/pkgsrc/mysql:default.
svccfg: Upgrading properties of svc:/pkgsrc/mysql according to instance "default".
svccfg: svc:/pkgsrc/mysql: Deleting property "method_context/project".
svccfg: svc:/pkgsrc/mysql: Upgrading property "start/exec".
svccfg: svc:/pkgsrc/mysql: Upgrading property "stop/exec".
svccfg: Taking "last-import" snapshot for svc:/pkgsrc/mysql:default.
svccfg: Refreshed svc:/pkgsrc/mysql:default.
svccfg: Successful import.



----------------
step 6: install phpmyadmin
----------------
calculating dependencies... done.

nothing to upgrade.
15 packages to be installed: png-1.6.7 libjpeg-turbo-1.3.0nb1 freetype2-2.4.12 libmcrypt-2.5.8 php55-zlib-5.5.7 php55-zip-5.5.7 php55-mysqli-5.5.7 php55-mysql-5.5.7 php55-mcrypt-5.5.7 php55-mbstring-5.5.7 php55-json-5.5.7 php55-gettext-5.5.7 php55-gd-5.5.7 php55-bz2-5.5.7 phpmyadmin-4.0.10 (10M to download, 31M to install)

downloading packages...
downloading png-1.6.7.tgz:   0%downloading libjpeg-turbo-1.3.0nb1.tgz:   0%downloading freetype2-2.4.12.tgz:   0%downloading libmcrypt-2.5.8.tgz:   0%downloading php55-zlib-5.5.7.tgz:   0%downloading php55-zip-5.5.7.tgz:   0%downloading php55-mysqli-5.5.7.tgz:   0%downloading php55-mysql-5.5.7.tgz:   0%downloading php55-mcrypt-5.5.7.tgz:   0%downloading php55-mbstring-5.5.7.tgz:   0%downloading php55-json-5.5.7.tgz:   0%downloading php55-gettext-5.5.7.tgz:   0%downloading php55-gd-5.5.7.tgz:   0%downloading php55-bz2-5.5.7.tgz:   0%downloading phpmyadmin-4.0.10.tgz:   0%===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=zlib.so

and make sure extension_dir points to the dir where zlib.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=zip.so

and make sure extension_dir points to the dir where zip.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=mysqli.so

and make sure extension_dir points to the dir where mysqli.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=mysql.so

and make sure extension_dir points to the dir where mysql.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=mcrypt.so

and make sure extension_dir points to the dir where mcrypt.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=mbstring.so

and make sure extension_dir points to the dir where mbstring.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=json.so

and make sure extension_dir points to the dir where json.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=gettext.so

and make sure extension_dir points to the dir where gettext.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=gd.so

and make sure extension_dir points to the dir where gd.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE.module,v 1.2 2004/11/05 21:50:11 jdolecek Exp $

To enable this module, add the following to /opt/local/etc/php.ini:

    extension=bz2.so

and make sure extension_dir points to the dir where bz2.so is.

Then restart your PHP5.5-enabled HTTP server to load this module.
===========================================================================
===========================================================================
$NetBSD: MESSAGE,v 1.13 2011/12/26 16:38:29 tron Exp $

Do *not* edit "/opt/local/share/phpmyadmin/config.inc.php" to customize
this package because it is a link which will removed during upgrades.
The actual configuration file is "/opt/local/etc/phpmyadmin/config.inc.php".

You will need to make phpMyAdmin accessible through your HTTP server.
If you are running Apache and ap-php, then you can add the following line
to httpd.conf:

        Include /opt/local/share/examples/phpmyadmin/apache.conf

to make phpMyAdmin accessible through:

        http://www.domain.com/phpmyadmin/

If you are setting up phpmyadmin for the first time you will need to
comment out the configuration block in your apache.conf which denies
access to the scripts directory.  This only need to be done the first
time you access your phpmyadmin installation.
===========================================================================
installing packages...
installing png-1.6.7...
installing libjpeg-turbo-1.3.0nb1...
installing freetype2-2.4.12...
installing libmcrypt-2.5.8...
installing php55-zlib-5.5.7...
installing php55-zip-5.5.7...
installing php55-mysqli-5.5.7...
installing php55-mysql-5.5.7...
installing php55-mcrypt-5.5.7...
installing php55-mbstring-5.5.7...
installing php55-json-5.5.7...
installing php55-gettext-5.5.7...
installing php55-gd-5.5.7...
installing php55-bz2-5.5.7...
installing phpmyadmin-4.0.10...
pkg_install warnings: 0, errors: 0
reading local summary...
processing local summary...
updating database: 100%
marking phpmyadmin-4.0.10 as non auto-removable
add: Include /opt/local/etc/httpd/httpd_phpmyadmin.conf to httpd.conf
create: /opt/local/etc/httpd/httpd_phpmyadmin.conf
copy: /opt/local/share/examples/phpmyadmin/config.inc.php /opt/local/etc/phpmyadmin/config.inc.php


----------------
step 7: install owncloud-6.0.1
----------------
--2014-02-22 14:12:13--  http://download.owncloud.org/community/owncloud-6.0.1.tar.bz2
Resolving download.owncloud.org (download.owncloud.org)... 50.30.33.234
Connecting to download.owncloud.org (download.owncloud.org)|50.30.33.234|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 48617092 (46M) [application/x-bzip]
Saving to: '/opt/local/share/owncloud-6.0.1.tar.bz2'

100%[====================================================================================================================================================>] 48,617,092   266KB/s   in 2m 10s

2014-02-22 14:14:24 (364 KB/s) - '/opt/local/share/owncloud-6.0.1.tar.bz2' saved [48617092/48617092]

add: Include /opt/local/etc/httpd/httpd_owncloud.conf to httpd.conf
create: /opt/local/etc/httpd/httpd_owncloud.conf
backup default: /opt/local/etc/httpd/httpd.conf.default


----------------
step 9. Rerun PHP ap24-php54 + Apache setup do solve dependencies like missing mod_php5.so
----------------
calculating dependencies... done.
nothing to do.
cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/02_apache.conf/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/03_php.ini/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/05_restart Apache/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/06_disable Apache/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/05_MySQL/05_start/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/05_MySQL/06_stop/action.pl: No such file or directory
enable Apache and mysql
STATE          STIME    FMRI
online         14:14:59 svc:/pkgsrc/apache:default
STATE          STIME    FMRI
online         14:14:58 svc:/pkgsrc/mysql:default
logfile: /root/ampo.log






----------------
8: You should now run mysql_secure_installation to secure mySQL
----------------
Enter: ./ampo2.sh

root@OmniOSstable151008:~# reboot
login as: root
Using keyboard-interactive authentication.
Password:
Last login: Sat Feb 22 14:07:13 2014 from OmniOSstable151
OmniOS 5.11     omnios-6de5e81  2013.11.27
root@OmniOSstable151008:~# ls -al /opt/local/share
total 47557
drwxr-xr-x 20 root root       21 Feb 22 14:14 .
drwxr-xr-x 15 root root       16 Feb 22 14:11 ..
drwxr-xr-x  2 root root        6 Feb 22 14:12 aclocal
drwxr-xr-x 17 root root       17 Feb 22 14:12 doc
drwxr-xr-x 13 root root       14 Feb 22 14:12 examples
drwxr-xr-x  3 root root        3 Feb 22 14:09 gtk-doc
drwxr-xr-x  7 root root        7 Feb 22 14:09 httpd
drwxr-xr-x  3 root root        3 Feb 22 14:10 icu
drwxr-xr-x  3 root root        3 Jan 24 16:01 lib
drwxr-xr-x  7 root root        7 Jan 24 16:01 locale
drwxr-xr-x  3 root root        3 Feb 22 14:09 lua
drwxr-xr-x  2 root root       23 Jan 13 12:06 mk
drwxr-xr-x 30 root root       44 Feb 22 14:11 mysql
drwxr-xr-x 13 www  www        27 Feb 22 14:15 owncloud
-rw-r--r--  1 root root 48617092 Jan 22 12:34 owncloud-6.0.1.tar.bz2
drwxr-xr-x  2 root root        3 Feb 22 14:09 php
drwxr-xr-x  8 root root       98 Feb 22 14:12 phpmyadmin
drwxr-xr-x  2 root root        4 Feb 22 14:09 postgresql
drwxr-xr-x  2 root root        3 Feb 22 14:09 sgml
drwxr-xr-x  2 root root        6 Jan 24 16:01 tabset
drwxr-xr-x  2 root root        3 Feb 22 14:09 xml
root@OmniOSstable151008:~#
It would be great if anybody with a similar setup like layerbreak can test this install process on his machine too.
 

zos

Member
Oct 27, 2013
40
20
8
I have seen that your installation have 4 warnings too.
do you know what happened?
Here the warnings listed in my logfile. Unfortunately I cannot do more investigation today, but I will be back tomorrow.

Code:
root@OmniOSstable151008:~# cat /var/db/pkgin/pkg_install-err.log | grep 'Warning'
2014-02-22 14:11:45 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2014-02-22 14:11:54 6908 [Warning] InnoDB: New log files created, LSN=45781
2014-02-22 14:11:55 6908 [Warning] InnoDB: Creating foreign key constraint system tables.
2014-02-22 14:11:56 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
root@OmniOSstable151008:~#
 

layerbreak

New Member
Dec 31, 2010
28
0
1
in the wild South of Germany
Shame on me. :mad:

I think I have found the problem. Nothing happened with ampo04 nor Owncloud.

I explain my error.
Motherboard is Supermicro X10SLH-F and two of Samsung SSD 840
On the first SSD ESXi 5.5 is installed on the second only VM Omnios.
At CLI I installs ampo04 with the command: wget -O - www.napp-it.org/ampo04 | perl
The script is downloading Owncloud from their server directly and the bits and byte are dropping very slow to me. OK, going away and drinking coffee. When I come back maybe one or one n' a half hour later the script is done and I made 'init 5' or 'init 6' at CLI.
Obviously are the SSD sleeping and the wake up when 'init 5 or 6' comes needs the SSD to much time to get ready. The kernel from OmniOS crashes.

I remember me that @gea is writing in his manuals something about disabling PowerManagement in the BIOS settings.
Advanced/ACPI settings here ACPI sleep State changing from 'S3 only ...' to 'Suspend Disabled'.

Now a new installation and it seems all is fine now.
Sorry again that I have suspected @zos great work ampo04 or Owncloud.
 

zos

Member
Oct 27, 2013
40
20
8
I just viewed an older snapshot to find out, which warnings were produced during the installation of the previous release of the ampo-script. Here's the result:

Code:
root@N54L:~# cat /var/db/pkgin/pkg_install-err.log | grep 'Warning'
2013-10-26 21:51:25 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
2013-10-26 21:51:26 9412 [Warning] InnoDB: New log files created, LSN=45781
2013-10-26 21:51:27 9412 [Warning] InnoDB: Creating foreign key constraint system tables.
2013-10-26 21:51:30 0 [Warning] TIMESTAMP with implicit DEFAULT value is deprecated. Please use --explicit_defaults_for_timestamp server option (see documentation for more details).
root@N54L:~#
As you can see, the warnings are excatly the same compared to the pkg-logfile of ampo04-script.

layerbreak noticed in a PN, that yesterday he'd had kernel panic without installing any ampo*-script at all, so finally this suggests that the kernel panic isn't related to the ampo04-script.

EDIT: Sorry layerbreak, I just noticed your post after commiting mine!
 

argofanatic

New Member
Feb 25, 2014
1
0
0
Possibly a minor bug.
Fresh install of OmniOS.
Fresh install of Napp-it.
Fresh install of ampo4.
Everything appears to succeed however in order to complete the mysql scripts (change password and the ampo2.sh) the symbolic links (is that what they are called ?) appear to be broken or non-existant.

To launch the mysql client (or any other tool) I must prepend /opt/local/bin to the executables.
 

Carts

New Member
Feb 28, 2014
5
2
3
Hi,

Long time lurker, first time poster,

I've built a new server based on OmniOs with Gea's napp-it. I tried installing ampo (and ampo04):

wget -O - www.napp-it.org/ampo04 | perl

And I get the following error:

Code:
----------------
step 1. add Path:
export PATH=/opt/local/sbin:/opt/local/bin:$PATH;
----------------


----------------
step 2. Load bootstrap
curl http://pkgsrc.joyent.com/packages/SmartOS/bootstrap/bootstrap-2013Q4-x86_64.tar.gz | gtar -zxpf - -C /
----------------
sh[1]: gtar: not found [No such file or directory]

sh: line 1: pkgin: not found
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0
 0    0     0      0      0 --:--:-- --:--:-- --:--:--     0

----------------
step 3. Install Apache: pkgin -y install apache-2.4
----------------
sh: line 1: pkgin: not found

cp: cannot stat '/opt/local/etc/httpd/httpd.conf': No such file or directory
  0     0    0     0    0     0      0      0 --:--:--  0:00:01 --:--:--     0

----------------
step 4. Install PHP: pkgin -y install php-5.5
----------------
sh: line 1: pkgin: not found

Install PHP module: pkgin -y install ap24-php55
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-ftp
  0     0    0     0    0     0      0      0 --:--:--  0:00:02 --:--:--     0sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-curl
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-intl
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-soap
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-ldap
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-dom
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-iconv
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-pdo
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-pdo_sqlite
sh: line 1: pkgin: not found

Install PHP extensions: pkgin -y install php55-pdo_mysql
sh: line 1: pkgin: not found

cp: cannot stat '/opt/local/etc/php.ini': No such file or directory
cat: /opt/local/etc/httpd/httpd.conf: No such file or directory
add: Include /opt/local/etc/httpd/httpd_php.conf to httpd.conf
touch: cannot touch '/opt/local/etc/httpd/httpd_php.conf': No such file or directory
cat: /opt/local/etc/httpd/httpd_php.conf: No such file or directory
add: LoadModule php5_module lib/httpd/mod_php5.so to httpd_php.conf
cp: cannot stat '/opt/local/etc/httpd/httpd.conf': No such file or directory
cat: /opt/local/etc/php.ini: No such file or directory
cp: cannot stat '/opt/local/etc/php.ini': No such file or directory
backup default: /opt/local/etc/php.ini.default


----------------
step 5. Install MySQL: pkgin -y install mysql-server-5.6
----------------
sh: line 1: pkgin: not found

svcs: Pattern 'mysql' doesn't match any instances


----------------
5a: Modify MySQL SMF manifest (to fix maintenance problem)
----------------
cat: /opt/local/lib/svc/manifest/mysql.xml: No such file or directory


----------------
modify and reload manifest /opt/local/lib/svc/manifest/mysql.xml
----------------
svccfg: Unable to stat file /opt/local/lib/svc/manifest/mysql.xml.  No such file or directory



----------------
step 6: install phpmyadmin
----------------
sh: line 1: pkgin: not found

cat: /opt/local/etc/httpd/httpd.conf: No such file or directory
add: Include /opt/local/etc/httpd/httpd_phpmyadmin.conf to httpd.conf
create: /opt/local/etc/httpd/httpd_phpmyadmin.conf
cp: cannot stat '/opt/local/share/examples/phpmyadmin/config.inc.php': No such file or directory
copy: /opt/local/share/examples/phpmyadmin/config.inc.php /opt/local/etc/phpmyadmin/config.inc.php


----------------
step 7: owncloud already installed
----------------
cat: /opt/local/etc/httpd/httpd.conf: No such file or directory
add: Include /opt/local/etc/httpd/httpd_owncloud.conf to httpd.conf
cp: cannot stat '/opt/local/etc/httpd/httpd.conf': No such file or directory
create: /opt/local/etc/httpd/httpd_owncloud.conf
cp: cannot stat '/opt/local/etc/httpd/httpd.conf': No such file or directory
backup default: /opt/local/etc/httpd/httpd.conf.default


----------------
step 9. Rerun PHP ap24-php54 + Apache setup do solve dependencies like missing mod_php5.so
----------------
sh: line 1: pkgin: not found
sh: line 1: pkgin: not found

cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/02_apache.conf/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/03_php.ini/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/05_restart Apache/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/022_Apache=-nex/06_disable Apache/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/05_MySQL/05_start/action.pl: No such file or directory
cat: /var/web-gui/data/napp-it/zfsos/02_services/05_MySQL/06_stop/action.pl: No such file or directory
enable Apache and mysql
svcadm: Pattern 'apache' doesn't match any instances
  0 30.0M    0     0    0     0      0      0 --:--:--  0:00:03 --:--:--     0svcadm: Pattern 'mysql' doesn't match any instances
  0 30.0M    0  5544    0     0   1174      0  7:27:54  0:00:04  7:27:50  1175
curl: (23) Failed writing body (1024 != 1448)
svcadm: Pattern 'apache' doesn't match any instances
svcadm: Pattern 'mysql' doesn't match any instances
svcs: Pattern 'apache' doesn't match any instances
STATE          STIME    FMRI
svcs: Pattern 'mysql' doesn't match any instances
STATE          STIME    FMRI
logfile: /root/ampo.log






----------------
8: You should now run mysql_secure_installation to secure mySQL
----------------
Enter: ./ampo2.sh
I'd like to run virtual box as well, and AMPO is a prerequisite. Any ideas what I'm doing wrong???

Cheers
 

zos

Member
Oct 27, 2013
40
20
8
Hi,

Long time lurker, first time poster,

I've built a new server based on OmniOs with Gea's napp-it. I tried installing ampo (and ampo04):

wget -O - www.napp-it.org/ampo04 | perl

And I get the following error:

Code:
----------------
step 1. add Path:
export PATH=/opt/local/sbin:/opt/local/bin:$PATH;
----------------


----------------
step 2. Load bootstrap
curl http://pkgsrc.joyent.com/packages/SmartOS/bootstrap/bootstrap-2013Q4-x86_64.tar.gz | gtar -zxpf - -C /
----------------
sh[1]: gtar: not found [No such file or directory]

(...)
I'd like to run virtual box as well, and AMPO is a prerequisite. Any ideas what I'm doing wrong???

Cheers
Hi Carts,

the command 'gtar' was not found. Normally you'll find it in "usr/bin/gtar". So first check if gtar is located in /usr/bin.

If it is not, I guess something went wrong with the basic install of OmniOS or napp-it (have you done a restart after installing OmniOS and after installing napp-it as well?).

If gtar is located in /usr/bin , I think you should check your PATH-Variable next, so please try:

echo $PATH

I would expect the output's looking like (before running ampo04)

/usr/gnu/bin:/usr/bin:/usr/sbin:/sbin

At the beginning of the script ampo04 the PATH-Variable is extended to /opt/local/sbin:/opt/local/bin:$PATH, so the result should be

/opt/local/sbin:/opt/local/bin:/usr/gnu/bin:/usr/bin:/usr/sbin:/sbin

But you can set the PATH-Variable manually:

export PATH=/opt/local/sbin:/opt/local/bin:/usr/gnu/bin:/usr/bin:/usr/sbin:/sbin

Then rerun the ampo04 script.
 

layerbreak

New Member
Dec 31, 2010
28
0
1
in the wild South of Germany
Hi zos,

here my output:
Code:
=~=~=~=~=~=~=~=~=~=~=~= PuTTY log 2014.02.28 13:00:17 =~=~=~=~=~=~=~=~=~=~=~=
OmniOS 5.11     omnios-6de5e81  2013.11.27
root@aio:~# ls /usr/bin/ | grep gtar
gtar
root@aio:~#
root@aio:~# echo $PATH
/usr/gnu/bin:/usr/bin:/usr/sbin:/sbin
root@aio:~#
root@aio:~# exit
logout
In my case '/opt/local/sbin' isn't in $PATH - don't no why.
 

zos

Member
Oct 27, 2013
40
20
8
Hi zos,

here my output:
Code:
=~=~=~=~=~=~=~=~=~=~=~= PuTTY log 2014.02.28 13:00:17 =~=~=~=~=~=~=~=~=~=~=~=
OmniOS 5.11     omnios-6de5e81  2013.11.27
root@aio:~# ls /usr/bin/ | grep gtar
gtar
root@aio:~#
root@aio:~# echo $PATH
/usr/gnu/bin:/usr/bin:/usr/sbin:/sbin
root@aio:~#
root@aio:~# exit
logout
In my case '/opt/local/sbin' isn't in $PATH - don't no why.
After a reboot the PATH set by the ampo-script is lost again. If you wish to set the PATH to "/opt/local/sbin:/opt/local/bin:/usr/gnu/bin:/usr/bin:/usr/sbin:/sbin" permanently, you have to edit the PATH-setting in the ".profile"-file in your home-directory.
 

Carts

New Member
Feb 28, 2014
5
2
3
Thank you for the reply. I reinstalled OmniOS and nappit and now it's all working.
Thanks